/*-- VARIABLES & ROOT --*/
:root {
  --SectionsMarginTop: 99.5px;
  --VOD_epCardWidth: 20%;
}

/*-- GLOBAL & BODY STYLES --*/
body {
  margin: 0;
  height: 100vh;
  width: 100%;
  font-size: 18px;
  display: flex;
  flex-direction: row;
  overflow-x: hidden;
  font-family: 'Fredoka One';
  text-align: center;
  user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  /* Custom scrollbar for Firefox */
  scrollbar-color: #ff008a transparent;
  scrollbar-width: 2px;
}

/* Hide body scrollbar in WebKit browsers (Chrome, Safari) */
body::-webkit-scrollbar {
  width: 0;
}

main {
  height: 100dvh;
  width: 100%;
  overflow-y: scroll;
  position: relative;
}

/* General scrollbar styling for elements like 'main' */
::-webkit-scrollbar {
  width: 2px;
  height: 5px;
}

::-webkit-scrollbar-track {
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: #ffffff00; /* Transparent handle by default */
  border-radius: 5px;
}

/* Firefox-specific scrollbar hiding */
@-moz-document url-prefix() {
  html {
    scrollbar-width: none;
  }
}

/*-- TYPOGRAPHY --*/
h1 {
  margin-bottom: 0;
  color: #de107d;
  font-size: 25px;
  font-weight: inherit;
  line-height: 1.4;
  text-align: left;
  text-transform: uppercase;
}

h4 {
  padding-bottom: 0;
  color: rgba(222, 16, 125, 0.5);
  font-size: 20px;
  font-weight: inherit;
  text-align: left;
  text-transform: uppercase;
}

a {
  cursor: pointer;
  color: #de107d;
  display: block;
  text-align: left;
  font-size: 13px;
}

.ep_title {
    margin-top: -7px;
}

.ep_synopsis {
  display: none; /* Initially hidden */
  color: rgba(222, 16, 125, 0.5);
  text-align: justify;
  font-size: 15px;
}

.notice_paragraph {
  padding: 10px;
  margin: 10px 0;
  color: #ff008a;
  border: #ee87be 2px dashed;
  border-radius: 5px;
  font-size: 10px;
}

.ep_buttons {
    display: flex;
    gap: 5%;
}

.next_ep {
    color: rgb(255 255 255);
    padding: 10px;
    border-radius: 5px;
    font-size: 20px;
    text-align: center;
    text-transform: uppercase;
    border: solid #de107d 2px;
    background: #de107d;
    transition: 0.2s;
    cursor: pointer;
}

.next_ep:hover {
  color: #de107d;
  background-color: rgb(255 255 255);
}

hr:not([size]) {
  margin: 0.5rem 0;
  height: 4px;
  background: whitesmoke;
  border-radius: 10px;
  opacity: 1;
  border: none;
}

/*-- LAYOUT --*/
.sections {
  width: 1593px;
  padding: 0 48px;
  transition: all 0.2s linear;
  position: relative;
  display: inline-block;
}

.section {
  margin-top: 2vh;
  position: relative;
}

#playzone {
  margin-top: 4vh;
  width: 100%;
  display: flex;
  gap: 3%;
}

.video_details {
  width: 33.33%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/*-- COMPONENTS --*/
/* Selectors */

.selector {
  width: 1100px;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 0;
  outline: 0;
  padding: 10px;
  width: 284px;
  font-size: 30px;
  color: #de107d;
  text-transform: uppercase;
  text-decoration: underline #fbd9eb 6px;
  text-underline-offset: 9px;
  line-height: 2;
  background: url("data:image/svg+xml,<svg height='30px' width='30px' viewBox='0 0 16 16' fill='%23de107d' xmlns='http://www.w3.org/2000/svg'><path d='M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z'/></svg>") no-repeat;
  background-position: calc(100% - 0rem) center;
}

select:active {
  border: none;
}

/* Discord */
.discord_iframe.sidebar {
  flex: 1;
  margin-bottom: 20px;
}

.discord_iframe.bottom {
  height: 100vw;
  margin: 20px 0;
  display: none;
}

.activeUsersWidget {
  color: white;
  background-color: rgba(var(--WINXCOLOR_BasicPink), 1);
  font-family: 'Fredoka One';
  font-weight: lighter;
  padding: 10px 20px;
  border-radius: 100px;
}


/* Footer */
.footer_socials {
  font-size: 50px;
  margin-top: 16px;
}

.footer_socials > a {
  margin: 0 20px;
}

.footer_socials > a {
  color: rgba(var(--WINXCOLOR_BasicPink), 0.85);
}

.selector_align {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.error_container{
    display: none;
    width: 100%;
    padding: 15%;
    height: 100vh;
    position: fixed;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    background-color: #0c0c0c36;
}

#error_messages {
    background: white;
    padding: 35px;
    border-radius: 10px;
    max-width: 80%;
}

#error_messages > span {
    display: none;
}

#error_messages > span > h4{
    text-align: center;
    color: black;
    color: rgba(var(--WINXCOLOR_BasicPink));
}

#error_messages > button {
    width: 100%;
    border: none;
    outline: none;
    background: rgba(var(--WINXCOLOR_BasicPink));
    color: white;
    border-radius: 5px;
    padding: 5px;
    margin-top: 15px;
}

/*-- MEDIA QUERIES --*/

@media (max-width: 1702px) {
  :root {
    --VOD_epCardWidth: 25%;
  }
  .sections {
    width: 1293px;
  }
}

@media (max-width: 1402px) {
  :root {
    --VOD_epCardWidth: 33.3333333%;
  }
  .sections {
    width: 971px;
  }
  #playzone {
    flex-direction: column;
  }
  .video_details {
	width: 100%;
	margin-top: 2vh;
  }
  .next_ep {
	margin-top: 10px;
  }
  .discord_iframe.sidebar {
    display: none;
  }
  .discord_iframe.bottom {
    display: block;
  }
}

@media (max-width: 1099px) {
  .selector_align {
    left: 0;
    transform: translate(0, -50%);
  }
  .selector {
    width: 85%;
  }
}

@media (max-width: 1080px) {
  :root {
    --VOD_epCardWidth: 50%;
  }
  .sections {
    width: 655px;
  }
  .footer_socials {
    font-size: 40px;
  }
  .footer_socials > a {
    margin: 0 15px;
  }
}


@media only screen and (max-width: 912px) and (orientation: portrait) {
  .selector {
    width: 85%;
  }
}

@media (max-width: 764px) {
  :root {
    --SectionsMarginTop: 13.7vw;
  }
  .show_selector {
    margin: 12vw 0;
  }
  body {
    font-size: 2.3vw;
  }
  h1 {
    font-size: 3.8vw;
  }
  h4 {
    font-size: 3vw;
  }
  select {
    font-size: 4.3vw;
    width: 42.7vw;
    padding: 0 3.3vw;
  }
  .sections {
    width: 100%;
    padding: 0 16px;
  }
  .next_ep {
    font-size: 3.1vw;
    padding: 1.5vw;
    border-radius: 0.75vw;
    margin-top: 1.5vw;
  }
  .footer_socials {
    font-size: 6vw;
  }
  .footer_socials > a {
    margin: 0 2vw;
  }
  
  #error_messages {
    padding: 4.5vw!important;
    border-radius: 1.3vw!important;
  }
  #error_messages > button {
    border-radius: 0.7vw!important;
    padding: 0.7vw!important;
    margin-top: 2vw!important;
  }

  @media (orientation: portrait) {
    body {
      flex-direction: column-reverse;
      justify-content: flex-end;
    }
    main {
      height: calc(100dvh - var(--NAVIGATION_WIDTH));
    }
  }
}
@media (max-width: 764px) and (orientation: landscape) {
  main#pageContent {
    width: auto; /* Let flexbox determine the width */
    flex: 1;
    min-width: 0; 
  }
}

@media (max-width: 500px) {
  .next_ep {
    font-size: 4.1vw;
    padding: 2.5vw;
    border-radius: 0.75vw;
    margin-top: 1.5vw;
  }
}

@media (max-width: 350px) {
  .sections {
    padding: 0 24px;
  }
}